Page MenuHomeMiraheze

enable configurations on apunteswiki, centralwiki, destinoswiki, infowiki, mediatecawiki, privadowiki, tallerwiki and ucroniaswiki
Closed, ResolvedPublic

Description

Because I don't want to open so many "almost identical" tasks, I prefer to request the configurations in one task.

  • wgStructuredChangeFiltersShowPreference
  • wgKartographerWikivoyageMode
  • wgKartographerUseMarkerStyle
  • wgExtraInterlanguageLinkPrefixes
  • wgExtraNamespaces
  • wgContentNamespaces
  • wgMetaNamespace
  • wgNamespaceAliases
  • wgNamespacesWithSubpages
  • wgNamespaceContentModels
  • wmgVisualEditorAvailableNamespaces
  • wgVisualEditorShowBetaWelcome

	 'wgStructuredChangeFiltersShowPreference' => array(
		'default' => true,
		'apunteswiki' => false,
		'centralwiki' => false,
		'destinoswiki' => false,
		'infowiki' => false,
		'mediatecawiki' => false,
		'privadowiki' => false,
		'tallerwiki' => false,
		'ucroniaswiki' => false,
	 ),

 	 'wgKartographerWikivoyageMode' => array(
		'default' => false,
		'apunteswiki' => true',
		'centralwiki' => 'true',
		'destinoswiki' => 'true',
		'infowiki' => 'true',
		'mediatecawiki' => 'true',
		'privadowiki' => 'true',
		'tallerwiki' => 'true',
		'ucroniaswiki' => 'true',
	 ),

 	 'wgKartographerUseMarkerStyle' => array(
		'default' => false,
		'apunteswiki' => true',
		'centralwiki' => 'true',
		'destinoswiki' => 'true',
		'infowiki' => 'true',
		'mediatecawiki' => 'true',
		'privadowiki' => 'true',
		'tallerwiki' => 'true',
		'ucroniaswiki' => 'true',
	 ),

	 'wgExtraInterlanguageLinkPrefixes' => array(
		'default' => array(),
		'+apunteswiki' => array(
			'ct',
			'm',
			'u',
			'i',
			'd',
			't',
			'p',
			'w',
			'v',
			'n',
			'b',
			'wikt',
			'q',
			'ver',
			's',
			'alt',
		),
		'+centralwiki' => array(
			'm',
			'u',
			'i',
			'a',
			'd',
			't',
			'p',
			'w',
			'v',
			'n',
			'b',
			'wikt',
			'q',
			'ver',
			's',
			'alt',
		),
		'+destinoswiki' => array(
			'ct',
			'm',
			'u',
			'i',
			'a',
			't',
			'p',
			'w',
			'v',
			'n',
			'b',
			'wikt',
			'q',
			'ver',
			's',
			'alt',
		),
		'+infowiki' => array(
			'ct',
			'm',
			'u',
			'a',
			'd',
			't',
			'p',
			'w',
			'v',
			'n',
			'b',
			'wikt',
			'q',
			'ver',
			's',
			'alt',
		),
		'+mediatecawiki' => array(
			'ct',
			'u',
			'i',
			'a',
			'd',
			't',
			'p',
			'w',
			'v',
			'n',
			'b',
			'wikt',
			'q',
			'ver',
			's',
			'alt',
		),
		'+privadowiki' => array(
			'ct',
			'm',
			'u',
			'i',
			'a',
			'd',
			't',
			'w',
			'v',
			'n',
			'b',
			'wikt',
			'q',
			'ver',
			's',
			'alt',
		),
		'+tallerwiki' => array(
			'ct',
			'm',
			'u',
			'i',
			'a',
			'd',
			'p',
			'w',
			'v',
			'n',
			'b',
			'wikt',
			'q',
			'ver',
			's',
			'alt',
		),
		'+ucroníaswiki' => array(
			'ct',
			'm',
			'i',
			'a',
			'd',
			't',
			'p',
			'w',
			'v',
			'n',
			'b',
			'wikt',
			'q',
			'ver',
			's',
			'alt',
		),
	 ),

 	 'wgExtraNamespaces' => array(
 		'default' => array(),
		'apunteswiki' => array(
			NS_TEST => 'Prueba',
			NS_TEST_TALK => 'Prueba_discusión',
			NS_PAGE => 'Página',
			NS_PAGE_TALK => 'Página_discusión',
			NS_ANEXO => 'Anexo',
			NS_ANEXO_TALK => 'Anexo_discusión',
			NS_REGISTRO => 'Registro',
			NS_REGISTRO_TALK => 'Registro_discusión',
			NS_LISTA => 'Lista',
			NS_LISTA_TALK => 'Lista_discusión',
			NS_PROYECTO => 'Proyecto',
			NS_PROYECTO_TALK => 'Proyecto_discusión',
			NS_TALLER => 'Taller',
			NS_TALLER_TALK => 'Taller_discusión',
			NS_MODELO => 'Modelo',
			NS_MODELO_TALK => 'Modelo_discusión',
		 ),
		'centralwiki' => array(
			NS_TEST => 'Prueba',
			NS_TEST_TALK => 'Prueba_discusión',
			NS_PAGE => 'Página',
			NS_PAGE_TALK => 'Página_discusión',
			NS_ANEXO => 'Anexo',
			NS_ANEXO_TALK => 'Anexo_discusión',
			NS_REGISTRO => 'Registro',
			NS_REGISTRO_TALK => 'Registro_discusión',
			NS_LISTA => 'Lista',
			NS_LISTA_TALK => 'Lista_discusión',
			NS_PROYECTO => 'Proyecto',
			NS_PROYECTO_TALK => 'Proyecto_discusión',
			NS_TALLER => 'Taller',
			NS_TALLER_TALK => 'Taller_discusión',
			NS_MODELO => 'Modelo',
			NS_MODELO_TALK => 'Modelo_discusión',
		 ),
		'destinoswiki' => array(
			NS_TEST => 'Prueba',
			NS_TEST_TALK => 'Prueba_discusión',
			NS_PAGE => 'Página',
			NS_PAGE_TALK => 'Página_discusión',
			NS_ANEXO => 'Anexo',
			NS_ANEXO_TALK => 'Anexo_discusión',
			NS_REGISTRO => 'Registro',
			NS_REGISTRO_TALK => 'Registro_discusión',
			NS_LISTA => 'Lista',
			NS_LISTA_TALK => 'Lista_discusión',
			NS_PROYECTO => 'Proyecto',
			NS_PROYECTO_TALK => 'Proyecto_discusión',
			NS_TALLER => 'Taller',
			NS_TALLER_TALK => 'Taller_discusión',
			NS_MODELO => 'Modelo',
			NS_MODELO_TALK => 'Modelo_discusión',
		 ),
		'infowiki' => array(
			NS_TEST => 'Prueba',
			NS_TEST_TALK => 'Prueba_discusión',
			NS_PAGE => 'Página',
			NS_PAGE_TALK => 'Página_discusión',
			NS_ANEXO => 'Anexo',
			NS_ANEXO_TALK => 'Anexo_discusión',
			NS_REGISTRO => 'Registro',
			NS_REGISTRO_TALK => 'Registro_discusión',
			NS_LISTA => 'Lista',
			NS_LISTA_TALK => 'Lista_discusión',
			NS_PROYECTO => 'Proyecto',
			NS_PROYECTO_TALK => 'Proyecto_discusión',
			NS_TALLER => 'Taller',
			NS_TALLER_TALK => 'Taller_discusión',
			NS_MODELO => 'Modelo',
			NS_MODELO_TALK => 'Modelo_discusión',
		 ),
		'mediatecawiki' => array(
			NS_TEST => 'Prueba',
			NS_TEST_TALK => 'Prueba_discusión',
			NS_PAGE => 'Página',
			NS_PAGE_TALK => 'Página_discusión',
			NS_ANEXO => 'Anexo',
			NS_ANEXO_TALK => 'Anexo_discusión',
			NS_REGISTRO => 'Registro',
			NS_REGISTRO_TALK => 'Registro_discusión',
			NS_LISTA => 'Lista',
			NS_LISTA_TALK => 'Lista_discusión',
			NS_PROYECTO => 'Proyecto',
			NS_PROYECTO_TALK => 'Proyecto_discusión',
			NS_TALLER => 'Taller',
			NS_TALLER_TALK => 'Taller_discusión',
			NS_MODELO => 'Modelo',
			NS_MODELO_TALK => 'Modelo_discusión',
		 ),
		'privadowiki' => array(
			NS_TEST => 'Prueba',
			NS_TEST_TALK => 'Prueba_discusión',
			NS_PAGE => 'Página',
			NS_PAGE_TALK => 'Página_discusión',
			NS_ANEXO => 'Anexo',
			NS_ANEXO_TALK => 'Anexo_discusión',
			NS_REGISTRO => 'Registro',
			NS_REGISTRO_TALK => 'Registro_discusión',
			NS_LISTA => 'Lista',
			NS_LISTA_TALK => 'Lista_discusión',
			NS_PROYECTO => 'Proyecto',
			NS_PROYECTO_TALK => 'Proyecto_discusión',
			NS_TALLER => 'Taller',
			NS_TALLER_TALK => 'Taller_discusión',
			NS_MODELO => 'Modelo',
			NS_MODELO_TALK => 'Modelo_discusión',
		 ),
		'tallerwiki' => array(
			NS_TEST => 'Prueba',
			NS_TEST_TALK => 'Prueba_discusión',
			NS_PAGE => 'Página',
			NS_PAGE_TALK => 'Página_discusión',
			NS_ANEXO => 'Anexo',
			NS_ANEXO_TALK => 'Anexo_discusión',
			NS_REGISTRO => 'Registro',
			NS_REGISTRO_TALK => 'Registro_discusión',
			NS_LISTA => 'Lista',
			NS_LISTA_TALK => 'Lista_discusión',
			NS_PROYECTO => 'Proyecto',
			NS_PROYECTO_TALK => 'Proyecto_discusión',
			NS_TALLER => 'Taller',
			NS_TALLER_TALK => 'Taller_discusión',
			NS_MODELO => 'Modelo',
			NS_MODELO_TALK => 'Modelo_discusión',
		 ),
		'ucroníaswiki' => array(
			NS_TEST => 'Prueba',
			NS_TEST_TALK => 'Prueba_discusión',
			NS_PAGE => 'Página',
			NS_PAGE_TALK => 'Página_discusión',
			NS_ANEXO => 'Anexo',
			NS_ANEXO_TALK => 'Anexo_discusión',
			NS_REGISTRO => 'Registro',
			NS_REGISTRO_TALK => 'Registro_discusión',
			NS_LISTA => 'Lista',
			NS_LISTA_TALK => 'Lista_discusión',
			NS_PROYECTO => 'Proyecto',
			NS_PROYECTO_TALK => 'Proyecto_discusión',
			NS_TALLER => 'Taller',
			NS_TALLER_TALK => 'Taller_discusión',
			NS_MODELO => 'Modelo',
			NS_MODELO_TALK => 'Modelo_discusión',
		 ),

	 'wgContentNamespaces' => array(
		'default' => array( NS_MAIN ),
		'+apunteswiki' => array( NS_ANEXO ),
		'+centralwiki' => array( NS_ANEXO ),
		'+destinoswiki' => array( NS_ANEXO ),
		'+infowiki' => array( NS_ANEXO ),
		'+mediatecawiki' => array( NS_ANEXO ),
		'+privadowiki' => array( NS_ANEXO ),
		'+tallerwiki' => array( NS_ANEXO ),
		'+ucroniaswiki' => array( NS_ANEXO ),
	 ),

	 'wgMetaNamespace' => array(
		'default' => null,
		'apunteswiki' => Apuntes',
		'centralwiki' => 'Central',
		'destinoswiki' => 'Destinos',
		'infowiki' => 'Info',
		'mediatecawiki' => 'Mediateca',
		'privadowiki' => 'Privado',
		'tallerwiki' => 'Tallerwiki',
		'ucroniaswiki' => 'Ucronías',
 	 ),

	 '+wgNamespaceAliases' => array(
		'default' => array(),
 		'+apunteswiki' => array(
 			'A' => NS_PROJECT,
 		)
 		'+centralwiki' => array(
 			'C' => NS_PROJECT,
 		)
 		'+destinoswiki' => array(
 			'D' => NS_PROJECT,
			'WV' => NS_PROYECTO,
			'Wikiviajes' => NS_PROYECTO,
 		)
 		'+infowiki' => array(
 			'I' => NS_PROJECT,
 		)
 		'+mediatecawiki' => array(
 			'M' => NS_PROJECT,
 		)
 		'+privadowiki' => array(
 			'P' => NS_PROJECT,
 		)
 		'+tallerwiki' => array(
 			'T' => NS_PROJECT,
 		)
 		'+ucroniaswiki' => array(
 			'U' => NS_PROJECT,
 		 )

	 'wgNamespacesWithSubpages' => array(
 		'default' => array(
 			NS_MAIN => true,
 		),
		'apunteswiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'centralwiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'destinoswiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'infowiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'mediatecawiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'privadowiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'tallerwiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'ucroniaswiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),

 	 'wgNamespaceContentModels' => array(
 		'default' => array(),
		'apunteswiki' => array(
			NS_TEST_TALK => 'flow-board',
			NS_PAGE_TALK => 'flow-board',
			NS_ANEXO_TALK => 'flow-board',
			NS_REGISTRO_TALK => 'flow-board',
			NS_LISTA_TALK => 'flow-board',
			NS_PROYECTO_TALK => 'flow-board',
			NS_TALLER_TALK => 'flow-board',
			NS_MODELO_TALK => 'flow-board',
		),
		'centralwiki' => array(
			NS_TEST_TALK => 'flow-board',
			NS_PAGE_TALK => 'flow-board',
			NS_ANEXO_TALK => 'flow-board',
			NS_REGISTRO_TALK => 'flow-board',
			NS_LISTA_TALK => 'flow-board',
			NS_PROYECTO_TALK => 'flow-board',
			NS_TALLER_TALK => 'flow-board',
			NS_MODELO_TALK => 'flow-board',
		),
		'destinoswiki' => array(
			NS_TEST_TALK => 'flow-board',
			NS_PAGE_TALK => 'flow-board',
			NS_ANEXO_TALK => 'flow-board',
			NS_REGISTRO_TALK => 'flow-board',
			NS_LISTA_TALK => 'flow-board',
			NS_PROYECTO_TALK => 'flow-board',
			NS_TALLER_TALK => 'flow-board',
			NS_MODELO_TALK => 'flow-board',
		),
		'infowiki' => array(
			NS_TEST_TALK => 'flow-board',
			NS_PAGE_TALK => 'flow-board',
			NS_ANEXO_TALK => 'flow-board',
			NS_REGISTRO_TALK => 'flow-board',
			NS_LISTA_TALK => 'flow-board',
			NS_PROYECTO_TALK => 'flow-board',
			NS_TALLER_TALK => 'flow-board',
			NS_MODELO_TALK => 'flow-board',
		),
		'mediatecawiki' => array(
			NS_TEST_TALK => 'flow-board',
			NS_PAGE_TALK => 'flow-board',
			NS_ANEXO_TALK => 'flow-board',
			NS_REGISTRO_TALK => 'flow-board',
			NS_LISTA_TALK => 'flow-board',
			NS_PROYECTO_TALK => 'flow-board',
			NS_TALLER_TALK => 'flow-board',
			NS_MODELO_TALK => 'flow-board',
		),
		'privadowiki' => array(
			NS_TEST_TALK => 'flow-board',
			NS_PAGE_TALK => 'flow-board',
			NS_ANEXO_TALK => 'flow-board',
			NS_REGISTRO_TALK => 'flow-board',
			NS_LISTA_TALK => 'flow-board',
			NS_PROYECTO_TALK => 'flow-board',
			NS_TALLER_TALK => 'flow-board',
			NS_MODELO_TALK => 'flow-board',
		),
		'taller' => array(
			NS_TEST_TALK => 'flow-board',
			NS_PAGE_TALK => 'flow-board',
			NS_ANEXO_TALK => 'flow-board',
			NS_REGISTRO_TALK => 'flow-board',
			NS_LISTA_TALK => 'flow-board',
			NS_PROYECTO_TALK => 'flow-board',
			NS_TALLER_TALK => 'flow-board',
			NS_MODELO_TALK => 'flow-board',
		),
		'ucroniawiki' => array(
			NS_TEST_TALK => 'flow-board',
			NS_PAGE_TALK => 'flow-board',
			NS_ANEXO_TALK => 'flow-board',
			NS_REGISTRO_TALK => 'flow-board',
			NS_LISTA_TALK => 'flow-board',
			NS_PROYECTO_TALK => 'flow-board',
			NS_TALLER_TALK => 'flow-board',
			NS_MODELO_TALK => 'flow-board',
		),
	 ),

 	 'wmgVisualEditorAvailableNamespaces' => array(
 		'default' => array(
			NS_MAIN => true,
			NS_USER => true,
		),
		'apunteswiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'centralwiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'destinoswiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'infowiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'mediatecawiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'privadowiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'tallerwiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),
		'ucroniaswiki' => array(
			NS_PROJECT => true,
			NS_PAGE => true,
			NS_ANEXO => true,
			NS_TEST => true,
			NS_REGISTRO => true,
			NS_LISTA => true,
			NS_PROYECTO => true,
			NS_TALLER => true,
			NS_MODELO => true,
	 	 ),

 	 'wgVisualEditorShowBetaWelcome' => array(
		'default' => true,
		'apunteswiki' => false',
		'centralwiki' => 'false',
		'destinoswiki' => 'false',
		'infowiki' => 'false',
		'mediatecawiki' => 'false',
		'privadowiki' => 'false',
		'tallerwiki' => 'false',
		'ucroniaswiki' => 'false',
	 ),

Details

Commits
Unknown Object (Diffusion Commit)

Event Timeline

Ucronistaw created this task.Oct 6 2018, 03:59
Ucronistaw triaged this task as Normal priority.
Ucronistaw updated the task description. (Show Details)Oct 6 2018, 11:51
AmandaCath moved this task from Tracking to Assignments on the Amanda Catherine board.

@AmandaCath please don’t add/remove my project

AmandaCath mentioned this in Unknown Object (Diffusion Commit).Oct 7 2018, 16:18
AmandaCath updated the task description. (Show Details)Oct 7 2018, 16:26
Paladox mentioned this in Unknown Object (Diffusion Commit).Oct 7 2018, 17:20
AmandaCath mentioned this in Unknown Object (Diffusion Commit).Oct 9 2018, 11:47
MacFan4000 mentioned this in Unknown Object (Diffusion Commit).Oct 9 2018, 12:55
AmandaCath updated the task description. (Show Details)Oct 9 2018, 13:01
AmandaCath mentioned this in Unknown Object (Diffusion Commit).Oct 11 2018, 12:48
Paladox mentioned this in Unknown Object (Diffusion Commit).Oct 11 2018, 12:51
AmandaCath mentioned this in Unknown Object (Diffusion Commit).Oct 11 2018, 12:51
AmandaCath updated the task description. (Show Details)Oct 11 2018, 12:52

Hmm... the config variables related to Kartographer don’t seem to exist in LocalSettings.php... is this an extension that requires new variables to be defined, or am I missing something?

MacFan4000 mentioned this in Unknown Object (Diffusion Commit).Oct 11 2018, 12:58

Hmm, I ask for the configuration because I see it enabled in the Wikivoyage projects and I want to have the same functions. @AmandaCath

I believe that Wikivoyage is a special project, even among the WMF cluster, with unique configuration not present on other Wikimedia Foundation sites or included by default in the MediaWiki Core. I don’t have time to look into it in detail tonight, but if it is a special extension or two, Miraheze would need to install them (security review waived for WMF extensions usually). Otherwise, I have no idea how to create/define the variables since they are not in LocalSettings.php.

revi added a comment.Oct 12 2018, 03:04

both unchecked marks are, as the name implies, obviously Kartographer.

AmandaCath closed this task as Resolved.Oct 12 2018, 11:34

In that case, the extension will need to be installed on Miraheze (bypass security review since its a WMF extension), which is a separate subtask. Therefore, this task is resolved and I will open a new task for that extension to be installed.

MacFan4000 reopened this task as Open.EditedOct 12 2018, 13:19

Kartographer is installed, the cars simply need to be added to LS.php

@Ucronistaw in that case, you will simply need to enable the extension on your wikis via Special:ManageWikiExtensions

MacFan4000 added a comment.EditedOct 12 2018, 14:26

@AmandaCath, I think he knows that. These are optional config vars that are part of the extension, they need to be added to LS.php. They need to be set as requested. They did not request the ext be enabled, they requested custom config for the ext.

John added a subscriber: John.Oct 12 2018, 14:29

The extension is already enabled..?

What’s so difficult about adding it to LS? You’ve added settings before like;
https://github.com/miraheze/mw-config/commit/feea71c023d0d7958f6013b84ee37e5956478406
https://github.com/miraheze/mw-config/commit/0cf73c9c53fd361df33ce1f11e576d2084d4cdbb
https://github.com/miraheze/mw-config/commit/cc84622ab19afede266c4c954f2a8ed8595ce4b3

You are literally adding it like every other setting, there is nothing special at all.

Ucronistaw added a comment.EditedOct 12 2018, 15:03

The extension was enabled from day one along with the other required extensions.

AmandaCath removed AmandaCath as the assignee of this task.Oct 15 2018, 02:12

Dropping because of E76

MacFan4000 closed this task as Resolved by committing Unknown Object (Diffusion Commit).Oct 15 2018, 14:20
MacFan4000 added a commit: Unknown Object (Diffusion Commit).
MacFan4000 updated the task description. (Show Details)Oct 15 2018, 14:21